## kdewebkit 5.56.0

=== debian/changelog ===
kdewebkit (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:35:23 +0000

kdewebkit (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:30:33 +0000

kdewebkit (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:34:28 +0000

kdewebkit (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:48:15 +0000

kdewebkit (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:41:46 +0000

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.56.0~),
               libkf5config-dev (>= 5.56.0~),
               libkf5coreaddons-dev (>= 5.56.0~),
               libkf5jobwidgets-dev (>= 5.56.0~),
               libkf5kio-dev (>= 5.56.0~),
               libkf5parts-dev (>= 5.56.0~),
               libkf5service-dev (>= 5.56.0~),
               libkf5wallet-dev (>= 5.56.0~),
               libqt5webkit5-dev (>= 5.8.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kdewebkit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit

Package: libkf5webkit-dev
Architecture: any
Section: libdevel
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.8.0~),
         ${misc:Depends},
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.

Package: libkf5webkit5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).

## kdewebkit 5.62.0

=== debian/changelog ===
kdewebkit (5.62.0-1) unstable; urgency=medium

  * Update watch file
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Add qttools build dep
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:59 -0700

kdewebkit (5.54.0-2) experimental; urgency=medium

  * Salsa CI automatic initialization by Tuco
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:26 +0100

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.62.0~),
               libkf5config-dev (>= 5.62.0~),
               libkf5coreaddons-dev (>= 5.62.0~),
               libkf5jobwidgets-dev (>= 5.62.0~),
               libkf5kio-dev (>= 5.62.0~),
               libkf5parts-dev (>= 5.62.0~),
               libkf5service-dev (>= 5.62.0~),
               libkf5wallet-dev (>= 5.62.0~),
               libqt5webkit5-dev (>= 5.11.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev (>= 5.11.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kdewebkit
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdewebkit
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdewebkit.git

Package: libkf5webkit-dev
Section: libdevel
Architecture: any
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.11.0~),
         ${misc:Depends},
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5webkit5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
Multi-Arch: same
Breaks: kdesignerplugin (<< 5.54)

## kdewebkit 5.68.0

=== src/CMakeLists.txt ===
set(KDEWebKit_LIB_SRCS
    kwebwallet.cpp
    kgraphicswebview.cpp
    kwebpage.cpp
    kwebview.cpp
    kwebpluginfactory.cpp
)

add_library(KF5WebKit ${KDEWebKit_LIB_SRCS})
generate_export_header(KF5WebKit BASE_NAME KDEWebKit)
add_library(KF5::WebKit ALIAS KF5WebKit)

target_include_directories(KF5WebKit INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KDEWebKit>")

target_link_libraries(KF5WebKit PUBLIC Qt5::WebKitWidgets
                                PRIVATE KF5::CoreAddons KF5::Wallet KF5::KIOWidgets KF5::Parts)

set_target_properties(KF5WebKit PROPERTIES VERSION   ${KDEWEBKIT_VERSION_STRING}
                                           SOVERSION ${KDEWEBKIT_SOVERSION}
                                           EXPORT_NAME WebKit
)

ecm_generate_headers(KDEWebKit_HEADERS
  HEADER_NAMES
  KWebWallet
  KGraphicsWebView
  KWebPluginFactory
  KWebPage
  KWebView

  REQUIRED_HEADERS KDEWebKit_HEADERS
)

install(TARGETS KF5WebKit EXPORT KF5WebKitTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kdewebkit_export.h
  ${KDEWebKit_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDEWebKit COMPONENT Devel
)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KDEWebKit LIB_NAME KF5WebKit DEPS "webkitwidgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KDEWebKit)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kdewebkit (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:56:52 +0000

kdewebkit (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:49:40 +0000

kdewebkit (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:18:29 +0000

kdewebkit (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 22:59:47 +0000

kdewebkit (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:23:53 +0000

kdewebkit (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:06:17 +0100

kdewebkit (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)
  * Add qttools5-dev to Build-Depends
  * Update installed files
  * Because of a moved file, libkf5webkit-dev now Breaks/Replaces
    kdesignerplugin (<< 5.60.90)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:41:47 +0100

kdewebkit (5.60.0a-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)
  * Rename orig tarball after upstream respin.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:15:30 +0100

kdewebkit (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:18:41 +0100

kdewebkit (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:39:34 +0100

kdewebkit (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:37:15 +0100

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.68.0~),
               libkf5config-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5jobwidgets-dev (>= 5.68.0~),
               libkf5kio-dev (>= 5.68.0~),
               libkf5parts-dev (>= 5.68.0~),
               libkf5service-dev (>= 5.68.0~),
               libkf5wallet-dev (>= 5.68.0~),
               libqt5webkit5-dev (>= 5.8.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kdewebkit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit

Package: libkf5webkit-dev
Architecture: any
Section: libdevel
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdesignerplugin (<< 5.60.90)
Replaces: kdesignerplugin (<< 5.60.90)
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.

Package: libkf5webkit5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5webkit5-dbg (<= 5.19.0-1~~)'

## kdewebkit 5.74.0

=== debian/changelog ===
kdewebkit (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:58:37 +0100

kdewebkit (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:57:25 +0100

kdewebkit (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:32:02 +0100

kdewebkit (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:05:41 +0100

kdewebkit (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields,
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Jun 2020 14:19:43 +0100

kdewebkit (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:58:29 +0200

kdewebkit (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:31:19 +0100

kdewebkit (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add designerplugin to dev package.
  * Remove not needed injection of linker flags.
  * Add Build-Depends-Package to symbols file.
  * Enable hardening all.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:57:48 +0200

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.74.0~),
               libkf5config-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5jobwidgets-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5parts-dev (>= 5.74.0~),
               libkf5service-dev (>= 5.74.0~),
               libkf5wallet-dev (>= 5.74.0~),
               libqt5webkit5-dev (>= 5.12.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               qttools5-dev (>= 5.11.0~),
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/frameworks/kdewebkit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit
Rules-Requires-Root: no

Package: libkf5webkit-dev
Section: libdevel
Architecture: any
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.12.0~),
         ${misc:Depends},
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5webkit5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
Multi-Arch: same
Breaks: kdesignerplugin (<< 5.54)

## kdewebkit 5.78.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.78.0") # handled by release scripts
set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
project(KDEWebKit VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.78.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

set(REQUIRED_QT_VERSION 5.14.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets WebKitWidgets Network)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)


include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMGenerateHeaders)

ecm_setup_version(PROJECT VARIABLE_PREFIX KDEWEBKIT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdewebkit_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5WebKitConfigVersion.cmake"
                        SOVERSION 5)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5JobWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Wallet ${KF5_DEP_VERSION} REQUIRED)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)

add_subdirectory(src)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5WebKit")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5WebKitConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5WebKitConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5WebKitConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5WebKitConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5WebKitTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5WebKitTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kdewebkit_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdewebkit (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:21 +0900

kdewebkit (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:41 +0900

kdewebkit (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:34 +0900

kdewebkit (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:53 +0900

kdewebkit (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:19:51 +0200

kdewebkit (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Add shlibs:Depends to Depends of libkf5webkit-dev.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:41 +0200

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.78.0~),
               libkf5config-dev (>= 5.78.0~),
               libkf5coreaddons-dev (>= 5.78.0~),
               libkf5jobwidgets-dev (>= 5.78.0~),
               libkf5kio-dev (>= 5.78.0~),
               libkf5parts-dev (>= 5.78.0~),
               libkf5service-dev (>= 5.78.0~),
               libkf5wallet-dev (>= 5.78.0~),
               libqt5webkit5-dev (>= 5.14.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev (>= 5.11.0~)
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kdewebkit
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdewebkit
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdewebkit.git
Rules-Requires-Root: no

Package: libkf5webkit-dev
Section: libdevel
Architecture: any
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.14.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5webkit5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
Multi-Arch: same
Breaks: kdesignerplugin (<< 5.54)

## kdewebkit 5.80.0

=== debian/changelog ===
kdewebkit (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:07:20 +0000

kdewebkit (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:21:11 +0000

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.78.0~),
-               libkf5config-dev (>= 5.78.0~),
-               libkf5coreaddons-dev (>= 5.78.0~),
-               libkf5jobwidgets-dev (>= 5.78.0~),
-               libkf5kio-dev (>= 5.78.0~),
-               libkf5parts-dev (>= 5.78.0~),
-               libkf5service-dev (>= 5.78.0~),
-               libkf5wallet-dev (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
+               libkf5config-dev (>= 5.80.0~),
+               libkf5coreaddons-dev (>= 5.80.0~),
+               libkf5jobwidgets-dev (>= 5.80.0~),
+               libkf5kio-dev (>= 5.80.0~),
+               libkf5parts-dev (>= 5.80.0~),
+               libkf5service-dev (>= 5.80.0~),
+               libkf5wallet-dev (>= 5.80.0~),
                libqt5webkit5-dev (>= 5.14.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
-               qttools5-dev (>= 5.11.0~)
+               qttools5-dev (>= 5.11.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kdewebkit
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdewebkit
@@ -30,7 +30,7 @@
 Depends: libkf5webkit5 (= ${binary:Version}),
          libqt5webkit5-dev (>= 5.14.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: development files for kdewebkit
  The kdewebkit library sits on top of QtWebKit,
  providing KDE integration for icons, shortcuts,

## kdewebkit 5.86.0

=== debian/changelog ===
kdewebkit (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:47:29 +0100

kdewebkit (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:26:25 +0100

kdewebkit (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:59:38 +0100

kdewebkit (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:16:33 +0100

kdewebkit (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:56:01 +0100

kdewebkit (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:28:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.80.0~),
-               libkf5config-dev (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5jobwidgets-dev (>= 5.80.0~),
-               libkf5kio-dev (>= 5.80.0~),
-               libkf5parts-dev (>= 5.80.0~),
-               libkf5service-dev (>= 5.80.0~),
-               libkf5wallet-dev (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5jobwidgets-dev (>= 5.86.0~),
+               libkf5kio-dev (>= 5.86.0~),
+               libkf5parts-dev (>= 5.86.0~),
+               libkf5service-dev (>= 5.86.0~),
+               libkf5wallet-dev (>= 5.86.0~),
                libqt5webkit5-dev (>= 5.14.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),

## kdewebkit 5.92.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
-set(KF5_VERSION "5.78.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
-project(KDEWebKit VERSION ${KF5_VERSION})
+set(KF_VERSION "5.92.0") # handled by release scripts
+set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+project(KDEWebKit VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.78.0  NO_MODULE)
+find_package(ECM 5.92.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -15,7 +15,7 @@
 option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
 add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")
 
-set(REQUIRED_QT_VERSION 5.14.0)
+set(REQUIRED_QT_VERSION 5.15.2)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets WebKitWidgets Network)
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
@@ -32,17 +32,22 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5WebKitConfigVersion.cmake"
                         SOVERSION 5)
 
-find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5JobWidgets ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5Wallet ${KF5_DEP_VERSION} REQUIRED)
+find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5JobWidgets ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5Parts ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5Service ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5Wallet ${KF_DEP_VERSION} REQUIRED)
 
+# remove definitions set by KDEFrameworkCompilerSettings which we fail to meet
+remove_definitions(-DQT_NO_KEYWORDS)
+remove_definitions(-DQT_NO_FOREACH)
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+# ideally we would support QT_NO_KEYWORDS, but at least we can do this
+add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00) # QWheelEvent::delta
 
 add_subdirectory(src)
 
@@ -68,7 +73,7 @@
 
 install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kdewebkit_version.h
-  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
+  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDEWebKit COMPONENT Devel
 )
 
 feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdewebkit (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:26:35 +0000

kdewebkit (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:07:54 +0000

kdewebkit (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:46:34 +0000

kdewebkit (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:15:42 +0000

kdewebkit (5.88.0-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:10:46 +0000

kdewebkit (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:39 +0900

kdewebkit (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:53:43 +0900

kdewebkit (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:46 +0900

kdewebkit (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:02:37 +0900

kdewebkit (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:02 +0900

kdewebkit (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:17:33 +0900

kdewebkit (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:09:55 +0900

kdewebkit (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:18 +0900

kdewebkit (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:33 +0900

kdewebkit (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:27 +0900

=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.92.0~),
               libkf5config-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5jobwidgets-dev (>= 5.92.0~),
               libkf5kio-dev (>= 5.92.0~),
               libkf5parts-dev (>= 5.92.0~),
               libkf5service-dev (>= 5.92.0~),
               libkf5wallet-dev (>= 5.92.0~),
               libqt5webkit5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.11.0~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kdewebkit
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdewebkit
Rules-Requires-Root: no

Package: libkf5webkit-dev
Section: libdevel
Architecture: any
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5webkit5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
Multi-Arch: same
Breaks: kdesignerplugin (<< 5.54)

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/portingAids/kdewebkit-([\d.]+)\.tar\.xz

## kdewebkit 5.98.0

=== debian/changelog ===
kdewebkit (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:31:31 +0100

kdewebkit (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:03:43 +0100

kdewebkit (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:29:36 +0100

kdewebkit (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:55:07 +0100

kdewebkit (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:18:46 +0100

kdewebkit (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:22:19 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5jobwidgets-dev (>= 5.92.0~),
-               libkf5kio-dev (>= 5.92.0~),
-               libkf5parts-dev (>= 5.92.0~),
-               libkf5service-dev (>= 5.92.0~),
-               libkf5wallet-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5jobwidgets-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
+               libkf5parts-dev (>= 5.98.0~),
+               libkf5service-dev (>= 5.98.0~),
+               libkf5wallet-dev (>= 5.98.0~),
                libqt5webkit5-dev (>= 5.15.2~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),

## kdewebkit 5.102.0

=== debian/changelog ===
kdewebkit (5.102.0-0xneon+22.04+jammy+release+build19) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 14:44:02 +0000

kdewebkit (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:53:18 +0000

kdewebkit (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:00:57 +0000

kdewebkit (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:15:58 +0000

kdewebkit (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:24:27 +0000

kdewebkit (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 11:55:56 +0000

kdewebkit (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:26:42 +0000

kdewebkit (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2022 12:06:53 +0000

kdewebkit (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:25:14 +0000

kdewebkit (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:18:43 +0000

kdewebkit (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:23:29 +0000

kdewebkit (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:55:48 +0000

kdewebkit (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 06:29:08 +0000

kdewebkit (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:08:41 +0000

kdewebkit (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:18:44 +0000

kdewebkit (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:25:00 +0000

kdewebkit (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:15:47 +0000

kdewebkit (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:10:45 +0000

kdewebkit (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:12:01 +0000

kdewebkit (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:57:05 +0000

kdewebkit (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:11:55 +0000

kdewebkit (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:03:09 +0000

kdewebkit (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:30:05 +0000

kdewebkit (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:39:45 +0000

kdewebkit (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:27:25 +0000

kdewebkit (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:16:56 +0000

kdewebkit (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:25:09 +0000

kdewebkit (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:49:07 +0000

kdewebkit (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:41:13 +0000

kdewebkit (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:18:46 +0000

kdewebkit (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:19:11 +0000

kdewebkit (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:03:45 +0000

kdewebkit (5.66.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Jan 2020 13:22:25 +0000

kdewebkit (5.65.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2019 17:37:16 +0000

kdewebkit (5.64.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Nov 2019 13:58:51 +0000

kdewebkit (5.63.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Oct 2019 21:17:54 +0000

kdewebkit (5.62.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Sep 2019 11:17:14 +0000

kdewebkit (5.61.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Aug 2019 18:51:19 +0000

kdewebkit (5.60.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Jul 2019 06:35:17 +0000

kdewebkit (5.59.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jun 2019 18:07:57 +0000

kdewebkit (5.58.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 May 2019 13:13:03 +0000

kdewebkit (5.57.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Apr 2019 08:39:59 +0000

kdewebkit (5.56.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Mar 2019 15:56:29 +0000

kdewebkit (5.55.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 10 Feb 2019 22:31:33 +0000

kdewebkit (5.54.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jan 2019 15:45:30 +0000

kdewebkit (5.53.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Dec 2018 10:35:02 +0000

kdewebkit (5.52.0-0neon) bionic; urgency=medium

  * New release



=== debian/control ===
Source: kdewebkit
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.51.0~),
               libkf5config-dev (>= 5.51.0~),
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5jobwidgets-dev (>= 5.51.0~),
               libkf5kio-dev (>= 5.51.0~),
               libkf5parts-dev (>= 5.51.0~),
               libkf5service-dev (>= 5.51.0~),
               libkf5wallet-dev (>= 5.51.0~),
               libqt5webkit5-dev (>= 5.8.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kdewebkit
Vcs-Git: https://invent.kde.org/neon/kde/kdewebkit.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdewebkit
Maintainer: Neon CI <neon@kde.org>

Package: libkf5webkit-dev
Section: libdevel
Architecture: any
Depends: libkf5webkit5 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kdesignerplugin (<< 5.60.90), libkf5kdelibs4support-dev (<< 5.51)
Replaces: kdesignerplugin (<< 5.60.90)
Description: development files for kdewebkit
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
 .
 Contains development files for kdewebkit.

Package: libkf5webkit5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Integration for QtWebKit.
 The kdewebkit library sits on top of QtWebKit,
 providing KDE integration for icons, shortcuts,
 network operation (KIO), cookie management using
 (KCookieJar) and component embedding (KParts).
Multi-Arch: same
Breaks: kdesignerplugin (<< 5.51)
